package de.apps4ics.mountainnavigation.pois;

/**
 * This file is part of MountainNavigation.
 *
 * MountainNavigation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MountainNavigation is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MountainNavigation.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @copyright Copyright (c) 2016 Vinzenz Rosenkanz <vinzenz.rosenkranz@gmail.com>
 *
 * @author Vinzenz Rosenkranz <vinzenz.rosenkranz@gmail.com>
 */
public class CellReception extends Poi {
    int strength;
    String opName;
    String opCountry;
    int roaming;
    String nwType;

    public CellReception(long _id) {
        super(_id, Types.CELL_RECEPTION);
    }
    public CellReception(){
        super(Types.CELL_RECEPTION);
    }
    public CellReception(long _id, int strength, String opName, String opCountry, int roaming, String nwType, DbGeoPoint gp){
        super(_id, Types.CELL_RECEPTION, gp);
        this.strength = strength;
        this.opName = opName;
        this.opCountry = opCountry;
        this.roaming = roaming;
        this.nwType = nwType;
    }

    public int getStrength() {
        return strength;
    }

    public String getOpName() {
        return opName;
    }

    public String getOpCountry() {
        return opCountry;
    }

    public int getRoaming() {
        return roaming;
    }

    public String getNwType() {
        return nwType;
    }
}
